Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.upgrade.common
Class CreateNamedPropertyBundle

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction
              oracle.ifs.admin.upgrade.common.LibrarySessionUpgradeAction
                  oracle.ifs.admin.upgrade.common.CreateNamedPropertyBundle

All Implemented Interfaces:
  Action, IfsParameters

    public abstract class CreateNamedPropertyBundle

extends LibrarySessionUpgradeAction

A CreateNamedPropertyBundle is an abstract action which can be used to create a ValueDefault whose value references a ProeprtyBundle.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`RESTART_SERVICE`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`CreateNamedPropertyBundle()`

Method Summary
`protected PropertyBundle` | `createNamedPropertyBundle(LibrarySession session, java.lang.String name, java.lang.String description, java.lang.String systemAclName)` Create a ValueDefault
`protected PropertyBundle` | `createPropertyBundle(LibrarySession session, PropertyBundleDefinition def)` Creates a PropertyBundle from a PropertyBundleDefinition.
`protected PropertyBundle` | `createPropertyBundle(LibrarySession session, java.lang.String name, java.lang.String description, AccessControlList acl)` Creates a PropertyBundle given a name and property definitions.
`protected PropertyBundle` | `createPropertyBundle(LibrarySession session, java.lang.String name, java.lang.String description, java.lang.String aclName)` Creates a PropertyBundle given a name and property definitions.
`protected ValueDefault` | `createValueDefault(LibrarySession session, java.lang.String name, java.lang.String description, AttributeValue value)` Create a ValueDefault
`protected ValueDefault` | `createValueDefault(LibrarySession session, ValueDefaultDefinition def)`
`protected PropertyBundle` | `getNamedPropertyBundle(LibrarySession session, java.lang.String name)` Find a named PropertyBundle from a ValueDefault.
`protected AccessControlList` | `lookupSystemAcl(LibrarySession session, java.lang.String name)` Find a SystemAccessControlList by name; return null if no SystemAccessControlList exists with the specified name.
`protected ValueDefault` | `lookupValueDefault(LibrarySession session, java.lang.String name)` Find a ValueDefault by name; return null if no ValueDefault exists with the specified name.
`protected void` | `putPropertyValue(PropertyBundle pb, java.lang.String propertyName, AttributeValue value)` Update or add a property to a property bundle.
`protected void` | `putPropertyValue(PropertyBundle pb, java.lang.String propertyName, AttributeValue value, boolean skipIfExists)` Update or add a property to a property bundle.
`protected void` | `removeProperties(PropertyBundle pb)` Remove all properties from a property bundle.
`protected void` | `removeProperty(PropertyBundle pb, java.lang.String propertyName)` Remove a property from a property bundle.
`protected void` | `updateValueDefaultValue(ValueDefault vdef, AttributeValue value)` Update the value of a ValueDefault.

Methods inherited from class oracle.ifs.admin.upgrade.common.LibrarySessionUpgradeAction
`failed, getTimestamp, log, log, printStackTrace, stop`

Methods inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`execute, perform, setDomain, setForSchemaUpgrade, setPassword, setRestartService, setSchemaPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateNamedPropertyBundle

    public CreateNamedPropertyBundle()

Method Detail

### createNamedPropertyBundle

    protected PropertyBundle createNamedPropertyBundle(LibrarySession session,
                                                       java.lang.String name,
                                                       java.lang.String description,
                                                       java.lang.String systemAclName)
                                                throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Create a ValueDefault

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getNamedPropertyBundle

    protected PropertyBundle getNamedPropertyBundle(LibrarySession session,
                                                    java.lang.String name)
                                             throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Find a named PropertyBundle from a ValueDefault. Return null if the ValueDefault does not exist or if its value is not a PropertyBundle

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createValueDefault

    protected ValueDefault createValueDefault(LibrarySession session,
                                              java.lang.String name,
                                              java.lang.String description,
                                              AttributeValue value)
                                       throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Create a ValueDefault

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createValueDefault

    protected ValueDefault createValueDefault(LibrarySession session,
                                              ValueDefaultDefinition def)
                                       throws IfsException

  Throws:
    `IfsException`

### updateValueDefaultValue

    protected void updateValueDefaultValue(ValueDefault vdef,
                                           AttributeValue value)
                                    throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Update the value of a ValueDefault.

  Parameters:
    `vdef` - the ValueDefault to update
    `value` - the new value for the ValueDefault
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createPropertyBundle

    protected PropertyBundle createPropertyBundle(LibrarySession session,
                                                  java.lang.String name,
                                                  java.lang.String description,
                                                  java.lang.String aclName)
                                           throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Creates a PropertyBundle given a name and property definitions. When null is passed for the property definitions, a property bundle is created with no initial properties. Properties can subsequently be added to the property bundle.

  Parameters:
    `session` - the iFS session
    `name` - the name of the new property bundle
    `description` - the description of the new property bundle
    `aclName` - the name (or domain property key) of the ACL for the new property bundle
  Returns:
    the new PropertyBundle created
  Throws:
    `IfsException` - if operation fails

### createPropertyBundle

    protected PropertyBundle createPropertyBundle(LibrarySession session,
                                                  java.lang.String name,
                                                  java.lang.String description,
                                                  AccessControlList acl)
                                           throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Creates a PropertyBundle given a name and property definitions. When null is passed for the property definitions, a property bundle is created with no initial properties. Properties can subsequently be added to the property bundle.

  Parameters:
    `session` - the iFS session
    `name` - the name of the property bundle
    `description` - the description of the property bundle
    `acl` - the ACL of the property bundle
  Returns:
    the new PropertyBundle created
  Throws:
    `IfsException` - if operation fails

### createPropertyBundle

    protected PropertyBundle createPropertyBundle(LibrarySession session,
                                                  PropertyBundleDefinition def)
                                           throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Creates a PropertyBundle from a PropertyBundleDefinition.

  Parameters:
    `session` - the iFS session
    `def` - the definition for the new PropertyBundle
  Returns:
    the new PropertyBundle
  Throws:
    `IfsException` - if operation fails

### lookupValueDefault

    protected ValueDefault lookupValueDefault(LibrarySession session,
                                              java.lang.String name)
                                       throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Find a ValueDefault by name; return null if no ValueDefault exists with the specified name.

  Parameters:
    `session` - the session
    `name` - ValueDefault name
  Returns:
    the ValueDefault or null if none found
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### lookupSystemAcl

    protected AccessControlList lookupSystemAcl(LibrarySession session,
                                                java.lang.String name)
                                         throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Find a SystemAccessControlList by name; return null if no SystemAccessControlList exists with the specified name.

  Parameters:
    `session` - the session
    `name` - System ACL name
  Returns:
    the System ACL or null if none found
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### putPropertyValue

    protected void putPropertyValue(PropertyBundle pb,
                                    java.lang.String propertyName,
                                    AttributeValue value)
                             throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Update or add a property to a property bundle. This will do nothing if a property with the specified name already exists.

  Parameters:
    `pb` - the PropertyBundle
    `propertyName` - the Property name
    `value` - the Property value
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### putPropertyValue

    protected void putPropertyValue(PropertyBundle pb,
                                    java.lang.String propertyName,
                                    AttributeValue value,
                                    boolean skipIfExists)
                             throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Update or add a property to a property bundle.

  Parameters:
    `pb` - the PropertyBundle
    `propertyName` - the Property name
    `value` - the Property value
    `skipIfExists` - indication of whether to avoid putting the property into the bundle if a property already exists with that name
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### removeProperty

    protected void removeProperty(PropertyBundle pb,
                                  java.lang.String propertyName)
                           throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Remove a property from a property bundle.

  Parameters:
    `pb` - the PropertyBundle
    `propertyName` - the Property name
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### removeProperties

    protected void removeProperties(PropertyBundle pb)
                             throws IfsException

  Description copied from class: `CreateNamedPropertyBundle`
  Remove all properties from a property bundle.

  Parameters:
    `pb` - the PropertyBundle
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD